aboutsummaryrefslogtreecommitdiffstats
path: root/community/bitcoin/bitcoin.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/bitcoin/bitcoin.initd')
-rw-r--r--community/bitcoin/bitcoin.initd38
1 files changed, 38 insertions, 0 deletions
diff --git a/community/bitcoin/bitcoin.initd b/community/bitcoin/bitcoin.initd
new file mode 100644
index 0000000000..393ea45374
--- /dev/null
+++ b/community/bitcoin/bitcoin.initd
@@ -0,0 +1,38 @@
+#!/sbin/openrc-run
+
+# Bitcoin init.d file for Alpine Linux.
+
+name=bitcoind
+daemon=/usr/bin/$name
+config=/etc/bitcoin.conf
+user=bitcoin
+group=bitcoin
+## supercedes datadir set in $config ##
+datadir=/var/lib/bitcoin
+pidfile=/var/run/bitcoin/$name.pid
+
+depend() {
+ need net
+ after logger firewall
+}
+
+start() {
+ ebegin "Starting ${name}"
+ # enforce permissions
+ checkpath -q -d ${pidfile%/*} -o ${user}:${group}
+ checkpath -q -d ${datadir} -m 0700 -o ${user}:${group}
+ checkpath -q -f ${config} -m 0600 -o ${user}:${group}
+ start-stop-daemon --start --quiet \
+ --pidfile ${pidfile} \
+ --user ${user}:${group} \
+ --exec ${daemon} -- -conf=${config} -datadir=${datadir} -pid=${pidfile}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${pidfile} \
+ --exec ${daemon}
+ eend $?
+}